> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/dnk/api-dokumentation/geopard-api-foresporgselsoversigt/8.-mutation-generer-rastermap.md).

# 8. Mutation: Generer "RasterMap"

Generer "RasterMap" for "Marken".

{% hint style="info" %}
Udførelsestiden varierer (fra 4 sekunder til 5 minutter), det afhænger af antal billeder og markens areal, og abonnementet vil blive modtaget efter vellykket generering af "RasterMap".
{% endhint %}

{% hint style="danger" %}
Vi anbefaler at bruge **asynkron** tilgang til at generere RastetMap
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation GenerateRasterMap {
  generateRasterAnalysisMap(input: {
    fieldUuid: "<placeholder_of_field_uuid>"
    satelliteImageUuids: [
      "<placeholder_of_satelliteimage_uuid_1>",  
      "<placeholder_of_satelliteimage_uuid_2>"
    ]
    index: NDVI
  }) {    
    uuid
    fieldUuid
    navn
    centroid {
      breddegrad
      længdegrad
    }
    afgrænsningsboks
    geoMaps {
      kortNavn
      fuldtNavn
      url
      classes
      hexColorCodes
    }
    status
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/dnk/api-dokumentation/geopard-api-foresporgselsoversigt/8.-mutation-generer-rastermap.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
